Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.accessibility
Class AccessibleContext

    java.lang.Object
      |
      +--javax.accessibility.AccessibleContext

Direct Known Subclasses:
  Box.AccessibleBox, Box.Filler.AccessibleBoxFiller, CellRendererPane.AccessibleCellRendererPane, JApplet.AccessibleJApplet, JComponent.AccessibleJComponent, JDialog.AccessibleJDialog, JFrame.AccessibleJFrame, JList.AccessibleJList.AccessibleJListChild, JTable.AccessibleJTable.AccessibleJTableCell, JTableHeader.AccessibleJTableHeader.AccessibleJTableHeaderEntry, JTree.AccessibleJTree.AccessibleJTreeNode, JWindow.AccessibleJWindow

public abstract class AccessibleContext
extends java.lang.Object

AccessibleContext represents the minimum information all accessible objects return. This information includes the accessible name, description, role, and state of the object, as well as information about the parent and children of the object. AccessibleContext also contains methods for obtaining more specific accessibility information about a component. If the component supports it, these methods will return an object that implements one or more of the following interfaces:

- `AccessibleAction` - the object can perform one or more actions. This interface provides the standard mechanism for an assistive technology to determine what those actions are and tell the object to perform those actions. Any object that can be manipulated should support this interface.
- `AccessibleComponent` - the object has a graphical representation. This interface provides the standard mechanism for an assistive technology to determine and set the graphical representation of the object. Any object that is rendered on the screen should support this interface.
- `AccessibleSelection` - the object allows its children to be selected. This interface provides the standard mechanism for an assistive technology to determine the currently selected children as well as modify the selection set. Any object that has children that can be selected should support this interface.
- `AccessibleText` - the object presents editable textual information on the display. This interface provides the standard mechanism for an assistive technology to access that text via its content, attributes, and spatial location. Any object that contains editable text should support this interface.
- `AccessibleValue` - the object supports a numerical value. This interface provides the standard mechanism for an assistive technology to determine and set the current value of the object, as well as the minimum and maximum values. Any object that supports a numerical value should support this interface.

In the future, additional interfaces (e.g., AccessibleTable) may be added, and the abstract class AccessibleContext will be updated accordingly.

Field Summary
`static java.lang.String` | `ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY` Constant used to determine when the active descendant of a component has changed.
`static java.lang.String` | `ACCESSIBLE_CARET_PROPERTY` Constant used to determine when the accessibleText caret has changed.
`static java.lang.String` | `ACCESSIBLE_CHILD_PROPERTY` Constant used to determine when Accessible children are added/removed from the object.
`static java.lang.String` | `ACCESSIBLE_DESCRIPTION_PROPERTY` Constant used to determine when the accessibleDescription property has changed.
`static java.lang.String` | `ACCESSIBLE_NAME_PROPERTY` Constant used to determine when the accessibleName property has changed.
`static java.lang.String` | `ACCESSIBLE_SELECTION_PROPERTY` Constant used to determine when the accessibleSelection has changed.
`static java.lang.String` | `ACCESSIBLE_STATE_PROPERTY` Constant used to determine when the accessibleStateSet property has changed.
`static java.lang.String` | `ACCESSIBLE_TEXT_PROPERTY` Constant used to determine when the accessibleText has changed.
`static java.lang.String` | `ACCESSIBLE_VALUE_PROPERTY` Constant used to determine when the accessibleValue property has changed.
`static java.lang.String` | `ACCESSIBLE_VISIBLE_DATA_PROPERTY` Constant used to determine when the visual appearance of the object has changed.
`protected java.lang.String` | `accessibleDescription` A localized String containing the description of the object.
`protected java.lang.String` | `accessibleName` A localized String containing the name of the object.
`protected Accessible` | `accessibleParent` The accessible parent of this object.

Constructor Summary
`AccessibleContext()`

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)` Add a PropertyChangeListener to the listener list.
`void` | `firePropertyChange(java.lang.String propertyName, java.lang.Object oldValue, java.lang.Object newValue)` Support for reporting bound property changes.
`AccessibleAction` | `getAccessibleAction()` Get the AccessibleAction associated with this object that supports one or more actions.
`abstract Accessible` | `getAccessibleChild(int i)` Return the specified Accessible child of the object.
`abstract int` | `getAccessibleChildrenCount()` Returns the number of accessible children of the object.
`AccessibleComponent` | `getAccessibleComponent()` Get the AccessibleComponent associated with this object that has a graphical representation.
`java.lang.String` | `getAccessibleDescription()` Get the accessibleDescription property of this object.
`abstract int` | `getAccessibleIndexInParent()` Get the 0-based index of this object in its accessible parent.
`java.lang.String` | `getAccessibleName()` Get the accessibleName property of this object.
`Accessible` | `getAccessibleParent()` Get the Accessible parent of this object.
`abstract AccessibleRole` | `getAccessibleRole()` Get the role of this object.
`AccessibleSelection` | `getAccessibleSelection()` Get the AccessibleSelection associated with this object which allows its Accessible children to be selected.
`abstract AccessibleStateSet` | `getAccessibleStateSet()` Get the state set of this object.
`AccessibleText` | `getAccessibleText()` Get the AccessibleText associated with this object presently editable text on the display.
`AccessibleValue` | `getAccessibleValue()` Get the AccessibleValue associated with this object that supports a Numerical value.
`abstract java.util.Locale` | `getLocale()` Gets the locale of the component.
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)` Remove a PropertyChangeListener from the listener list.
`void` | `setAccessibleDescription(java.lang.String s)` Set the accessible description of this object.
`void` | `setAccessibleName(java.lang.String s)` Set the localized accessible name of this object.
`void` | `setAccessibleParent(Accessible a)` Set the Accessible parent of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACCESSIBLE_NAME_PROPERTY

    public static final java.lang.String ACCESSIBLE_NAME_PROPERTY

  Constant used to determine when the accessibleName property has changed. The old value in the PropertyChangeEvent will be the old accessibleName and the new value will be the new accessibleName.
  See Also:
    `getAccessibleName()`, `addPropertyChangeListener(java.beans.PropertyChangeListener)`

### ACCESSIBLE_DESCRIPTION_PROPERTY

    public static final java.lang.String ACCESSIBLE_DESCRIPTION_PROPERTY

  Constant used to determine when the accessibleDescription property has changed. The old value in the PropertyChangeEvent will be the old accessibleDescription and the new value will be the new accessibleDescription.
  See Also:
    `getAccessibleDescription()`, `addPropertyChangeListener(java.beans.PropertyChangeListener)`

### ACCESSIBLE_STATE_PROPERTY

    public static final java.lang.String ACCESSIBLE_STATE_PROPERTY

  Constant used to determine when the accessibleStateSet property has changed. The old value will be the old AccessibleState and the new value will be the new AccessibleState in the accessibleStateSet. For example, if a component that supports the vertical and horizontal states changes its orientation from vertical to horizontal, the old value will be AccessibleState.VERTICAL and the new value will be AccessibleState.HORIZONTAL. Please note that either value can also be null. For example, when a component changes from being enabled to disabled, the old value will be AccessibleState.ENABLED and the new value will null.
  See Also:
    `getAccessibleStateSet()`, `AccessibleState`, `AccessibleStateSet`, `addPropertyChangeListener(java.beans.PropertyChangeListener)`

### ACCESSIBLE_VALUE_PROPERTY

    public static final java.lang.String ACCESSIBLE_VALUE_PROPERTY

  Constant used to determine when the accessibleValue property has changed. The old value in the PropertyChangeEvent will be a Number representing the old value and the new value will be a Number representing the new value.
  See Also:
    `getAccessibleValue()`, `addPropertyChangeListener(java.beans.PropertyChangeListener)`

### ACCESSIBLE_SELECTION_PROPERTY

    public static final java.lang.String ACCESSIBLE_SELECTION_PROPERTY

  Constant used to determine when the accessibleSelection has changed. The old and new values in the PropertyChangeEvent are currently reserved for future use.
  See Also:
    `getAccessibleSelection()`, `addPropertyChangeListener(java.beans.PropertyChangeListener)`

### ACCESSIBLE_TEXT_PROPERTY

    public static final java.lang.String ACCESSIBLE_TEXT_PROPERTY

  Constant used to determine when the accessibleText has changed. The old and new values in the PropertyChangeEvent are currently reserved for future use.
  See Also:
    `getAccessibleText()`, `addPropertyChangeListener(java.beans.PropertyChangeListener)`

### ACCESSIBLE_CARET_PROPERTY

    public static final java.lang.String ACCESSIBLE_CARET_PROPERTY

  Constant used to determine when the accessibleText caret has changed. has changed. The old value in the PropertyChangeEvent will be an integer representing the old caret position, and the new value will be an integer representing the new/current caret position.
  See Also:
    `addPropertyChangeListener(java.beans.PropertyChangeListener)`

### ACCESSIBLE_VISIBLE_DATA_PROPERTY

    public static final java.lang.String ACCESSIBLE_VISIBLE_DATA_PROPERTY

  Constant used to determine when the visual appearance of the object has changed. The old and new values in the PropertyChangeEvent are currently reserved for future use.
  See Also:
    `addPropertyChangeListener(java.beans.PropertyChangeListener)`

### ACCESSIBLE_CHILD_PROPERTY

    public static final java.lang.String ACCESSIBLE_CHILD_PROPERTY

  Constant used to determine when Accessible children are added/removed from the object. If an Accessible child is being added, the old value will be null and the new value the Accessible child. If an Accessible child is being removed, the old value will be the Accessible child, and the new value will be null.
  See Also:
    `addPropertyChangeListener(java.beans.PropertyChangeListener)`

### ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY

    public static final java.lang.String ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY

  Constant used to determine when the active descendant of a component has changed. The active descendant is used for objects such as list, tree, and table, which may have transient children. When the active descendant has changed, the old value of the property change event will be the Accessible representing the previous active child, and the new value will be the Accessible representing the current active child.
  See Also:
    `addPropertyChangeListener(java.beans.PropertyChangeListener)`

### accessibleParent

    protected Accessible accessibleParent

  The accessible parent of this object.
  See Also:
    `getAccessibleParent()`, `setAccessibleParent(javax.accessibility.Accessible)`

### accessibleName

    protected java.lang.String accessibleName

  A localized String containing the name of the object.
  See Also:
    `getAccessibleName()`, `setAccessibleName(java.lang.String)`

### accessibleDescription

    protected java.lang.String accessibleDescription

  A localized String containing the description of the object.
  See Also:
    `getAccessibleDescription()`, `setAccessibleDescription(java.lang.String)`

Constructor Detail

### AccessibleContext

    public AccessibleContext()

Method Detail

### getAccessibleName

    public java.lang.String getAccessibleName()

  Get the accessibleName property of this object. The accessibleName property of an object is a localized String that designates the purpose of the object. For example, the accessibleName property of a label or button might be the text of the label or button itself. In the case of an object that doesn't display its name, the accessibleName should still be set. For example, in the case of a text field used to enter the name of a city, the accessibleName for the en_US locale could be 'city.'
  Returns:
    the localized name of the object; null if this object does not have a name
  See Also:
    `setAccessibleName(java.lang.String)`

### setAccessibleName

    public void setAccessibleName(java.lang.String s)

  Set the localized accessible name of this object. Changing the name will cause a PropertyChangeEvent to be fired for the ACCESSIBLE_NAME_PROPERTY property.
  Parameters:
    `s` - the new localized name of the object.
  See Also:
    `getAccessibleName()`, `addPropertyChangeListener(java.beans.PropertyChangeListener)`

### getAccessibleDescription

    public java.lang.String getAccessibleDescription()

  Get the accessibleDescription property of this object. The accessibleDescription property of this object is a short localized phrase describing the purpose of the object. For example, in the case of a 'Cancel' button, the accessibleDescription could be 'Ignore changes and close dialog box.'
  Returns:
    the localized description of the object; null if this object does not have a description
  See Also:
    `setAccessibleDescription(java.lang.String)`

### setAccessibleDescription

    public void setAccessibleDescription(java.lang.String s)

  Set the accessible description of this object. Changing the name will cause a PropertyChangeEvent to be fired for the ACCESSIBLE_DESCRIPTION_PROPERTY property.
  Parameters:
    `s` - the new localized description of the object
  See Also:
    `setAccessibleName(java.lang.String)`, `addPropertyChangeListener(java.beans.PropertyChangeListener)`

### getAccessibleRole

    public abstract AccessibleRole getAccessibleRole()

  Get the role of this object. The role of the object is the generic purpose or use of the class of this object. For example, the role of a push button is AccessibleRole.PUSH_BUTTON. The roles in AccessibleRole are provided so component developers can pick from a set of predefined roles. This enables assistive technologies to provide a consistent interface to various tweaked subclasses of components (e.g., use AccessibleRole.PUSH_BUTTON for all components that act like a push button) as well as distinguish between sublasses that behave differently (e.g., AccessibleRole.CHECK_BOX for check boxes and AccessibleRole.RADIO_BUTTON for radio buttons).

  Note that the AccessibleRole class is also extensible, so custom component developers can define their own AccessibleRole's if the set of predefined roles is inadequate.

  Returns:
    an instance of AccessibleRole describing the role of the object
  See Also:
    `AccessibleRole`

### getAccessibleStateSet

    public abstract AccessibleStateSet getAccessibleStateSet()

  Get the state set of this object. The AccessibleStateSet of an object is composed of a set of unique AccessibleState's. A change in the AccessibleStateSet of an object will cause a PropertyChangeEvent to be fired for the ACCESSIBLE_STATE_PROPERTY property.
  Returns:
    an instance of AccessibleStateSet containing the current state set of the object
  See Also:
    `AccessibleStateSet`, `AccessibleState`, `addPropertyChangeListener(java.beans.PropertyChangeListener)`

### getAccessibleParent

    public Accessible getAccessibleParent()

  Get the Accessible parent of this object.
  Returns:
    the Accessible parent of this object; null if this object does not have an Accessible parent

### setAccessibleParent

    public void setAccessibleParent(Accessible a)

  Set the Accessible parent of this object. This is meant to be used only in the situations where the actual component's parent should not be treated as the component's accessible parent and is a method that should only be called by the parent of the accessible child.
  Parameters:
    `a` - - Accessible to be set as the parent

### getAccessibleIndexInParent

    public abstract int getAccessibleIndexInParent()

  Get the 0-based index of this object in its accessible parent.
  Returns:
    the 0-based index of this object in its parent; -1 if this object does not have an accessible parent.
  See Also:
    `getAccessibleParent()`, `getAccessibleChildrenCount()`, `getAccessibleChild(int)`

### getAccessibleChildrenCount

    public abstract int getAccessibleChildrenCount()

  Returns the number of accessible children of the object.
  Returns:
    the number of accessible children of the object.

### getAccessibleChild

    public abstract Accessible getAccessibleChild(int i)

  Return the specified Accessible child of the object. The Accessible children of an Accessible object are zero-based, so the first child of an Accessible child is at index 0, the second child is at index 1, and so on.
  Parameters:
    `i` - zero-based index of child
  Returns:
    the Accessible child of the object
  See Also:
    `getAccessibleChildrenCount()`

### getLocale

    public abstract java.util.Locale getLocale()
                                        throws java.awt.IllegalComponentStateException

  Gets the locale of the component. If the component does not have a locale, then the locale of its parent is returned.
  Returns:
    This component's locale. If this component does not have a locale, the locale of its parent is returned.
  Throws:
    java.awt.IllegalComponentStateException - If the Component does not have its own locale and has not yet been added to a containment hierarchy such that the locale can be determined from the containing parent.

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

  Add a PropertyChangeListener to the listener list. The listener is registered for all Accessible properties and will be called when those properties change.
  Parameters:
    `listener` - The PropertyChangeListener to be added
  See Also:
    `ACCESSIBLE_NAME_PROPERTY`, `ACCESSIBLE_DESCRIPTION_PROPERTY`, `ACCESSIBLE_STATE_PROPERTY`, `ACCESSIBLE_VALUE_PROPERTY`, `ACCESSIBLE_SELECTION_PROPERTY`, `ACCESSIBLE_TEXT_PROPERTY`, `ACCESSIBLE_VISIBLE_DATA_PROPERTY`

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

  Remove a PropertyChangeListener from the listener list. This removes a PropertyChangeListener that was registered for all properties.
  Parameters:
    `listener` - The PropertyChangeListener to be removed

### getAccessibleAction

    public AccessibleAction getAccessibleAction()

  Get the AccessibleAction associated with this object that supports one or more actions.
  Returns:
    AccessibleAction if supported by object; else return null
  See Also:
    `AccessibleAction`

### getAccessibleComponent

    public AccessibleComponent getAccessibleComponent()

  Get the AccessibleComponent associated with this object that has a graphical representation.
  Returns:
    AccessibleComponent if supported by object; else return null
  See Also:
    `AccessibleComponent`

### getAccessibleSelection

    public AccessibleSelection getAccessibleSelection()

  Get the AccessibleSelection associated with this object which allows its Accessible children to be selected.
  Returns:
    AccessibleSelection if supported by object; else return null
  See Also:
    `AccessibleSelection`

### getAccessibleText

    public AccessibleText getAccessibleText()

  Get the AccessibleText associated with this object presently editable text on the display.
  Returns:
    AccessibleText if supported by object; else return null
  See Also:
    `AccessibleText`

### getAccessibleValue

    public AccessibleValue getAccessibleValue()

  Get the AccessibleValue associated with this object that supports a Numerical value.
  Returns:
    AccessibleValue if supported by object; else return null
  See Also:
    `AccessibleValue`

### firePropertyChange

    public void firePropertyChange(java.lang.String propertyName,
                                   java.lang.Object oldValue,
                                   java.lang.Object newValue)

  Support for reporting bound property changes. If oldValue and newValue are not equal and the PropertyChangeEvent listener list is not empty, then fire a PropertyChange event to each listener. In general, this is for use by the Accessible objects themselves and should not be called by an application program.
  Parameters:
    `propertyName` - The programmatic name of the property that was changed.
    `oldValue` - The old value of the property.
    `newValue` - The new value of the property.
  See Also:
    `PropertyChangeSupport`, `addPropertyChangeListener(java.beans.PropertyChangeListener)`, `removePropertyChangeListener(java.beans.PropertyChangeListener)`, `ACCESSIBLE_NAME_PROPERTY`, `ACCESSIBLE_DESCRIPTION_PROPERTY`, `ACCESSIBLE_STATE_PROPERTY`, `ACCESSIBLE_VALUE_PROPERTY`, `ACCESSIBLE_SELECTION_PROPERTY`, `ACCESSIBLE_TEXT_PROPERTY`, `ACCESSIBLE_VISIBLE_DATA_PROPERTY`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.